| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | Private Attributes | List of all members
IG.Neural.MappingApproximationFileServerNeural Class Reference

Class for mapping file server. More...

Inheritance diagram for IG.Neural.MappingApproximationFileServerNeural:
[legend]
Collaboration diagram for IG.Neural.MappingApproximationFileServerNeural:
[legend]

## Public Member Functions
| MappingApproximationFileServerNeural (string workingDirectoryPath)
virtual void | ClearMessages ()
| Clears all messages in the nmapping approximator's file client/server directory. More...
virtual void | ServerCalculateMappingApproximation ()
| Performs server-side mapping and calculation of the approximation. Reads reduced input from standard location, mapps inputs, calculates output, mapps outputs and writes it to the standard location. More...
virtual void | ClientTestCalculateMappingApproximation (string inputFilePath, string outputFilePath)
| Performs client-side test calculation of neural network based approximation where input parameters are read from a specified function JSON file with reduced input parameters, copies to specified JSON file with total inputs and calculated output values are written to the specified file. More...
Public Member Functions inherited from IG.Neural.ApproximationFileServerNeural
| ApproximationFileServerNeural (string workingDirectoryPath)
virtual void | ServerCalculateApproximation ()
| Performs server-side calculation of the approximation. Reads input from standard location, calculates output and writes it to the standard location. More...
virtual void | ClientCalculateApproximation (IVector input, ref IVector output)
| Calculates the neural network based approximated values. More...
virtual void | ClientTestCalculateApproximation (string inputFilePath, string outputFilePath)
| Performs client-side test calculation of neural network based approximation where input parameters are read from a specified JSON file, and calculated output values are written to the specified file. More...

## Properties
MappingApproximationFileManager | MappingFileManager`[get, set]`
Properties inherited from IG.Neural.ApproximationFileServerNeural
virtual string | Directory`[get, protected set]`
| Gets or sets working directory of the current object. More...
NeuraApproximationFileManager | NeuralFileManager`[get, set]`

## Private Attributes
MappingApproximationFileManager | _mappingFileManager

## Detailed Description

Class for mapping file server.

$A tako78 Jul.21

## Constructor & Destructor Documentation

IG.Neural.MappingApproximationFileServerNeural.MappingApproximationFileServerNeural | ( | string | workingDirectoryPath | ) |
| inline

## Member Function Documentation

virtual void IG.Neural.MappingApproximationFileServerNeural.ClearMessages | ( |  | ) |
| inline virtual

Clears all messages in the nmapping approximator's file client/server directory.

$A tako78 Jul.21

Reimplemented from IG.Neural.ApproximationFileServerNeural.

virtual void IG.Neural.MappingApproximationFileServerNeural.ServerCalculateMappingApproximation | ( |  | ) |
| inline virtual

Performs server-side mapping and calculation of the approximation. Reads reduced input from standard location, mapps inputs, calculates output, mapps outputs and writes it to the standard location.

$A tako78 Jul.21

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationServer().

virtual void IG.Neural.MappingApproximationFileServerNeural.ClientTestCalculateMappingApproximation | ( | string | inputFilePath,
|  | string | outputFilePath
| ) |  |
| inline virtual

Performs client-side test calculation of neural network based approximation where input parameters are read from a specified function JSON file with reduced input parameters, copies to specified JSON file with total inputs and calculated output values are written to the specified file.

Parameters

  inputFilePath | Path to the JSON file where input parameters are read from. The file pointed at must exist.
  deletedFilePath | Path of a file where the calculated approximated values are written to. It can be null or empty string, in this case parameters are not written to a file (but they are still output on console).

$A tako78 Jul.21

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationClient().

## Member Data Documentation

MappingApproximationFileManager IG.Neural.MappingApproximationFileServerNeural._mappingFileManager
| private

## Property Documentation

MappingApproximationFileManager IG.Neural.MappingApproximationFileServerNeural.MappingFileManager
| get set

Referenced by IG.Neural.NeuralAllpicationCommands.CmdNeuralCalculateMappingApproximationServer().

The documentation for this class was generated from the following file:

- extensions/ann/LibNeural/neural_server/NeuralFileServer.cs